/*
    prof. Constantin Galatan
    O(n*n)
*/
#include <cstdio>
#include <algorithm>
#include <vector>
#include <deque>

using namespace std;
using VI = vector<int>;

void get(int &x);

const int Inf = 0x3f3f3f3f;
int T, n;
VI a, Min, Max;

int main()
{
	freopen("nessie.in", "r", stdin);
	freopen("nessie.out", "w", stdout);

	get(n); get(T);
	a = Max = VI(n + 1);
	Min = VI(n + 2, n + 1);

    int x, y;
	while ( T-- )
	{
		get(x); get(y);
		Min[y]     = min(Min[y], x);
		Max[y + 1] = max(Max[y + 1], x);
	}

	for (int i = n; i >= 0; i--)
		Min[i] = min(Min[i], Min[i + 1]);

	for (int i = 1; i <= n; i++)
		Max[i] = max(Max[i], Max[i - 1]);

	int i0(1), imax, imin;
	for (int i = 1; i <= n; i++)
	{
		imin = max(Max[i], 1);	imax = min(i - 1, Min[i] - 1);
    	if ( imin > imax ) {
            a[i] = -Inf;
            continue;
    	}
        int x(0);
        for (int j = imin; j <= imax; ++j)
            x = max(x, a[j]);
        a[i] = x + 1;
	}

	if ( a[n] < 0 )
		printf("IMPOSIBIL\n");
	else
		printf("%d\n", a[n] + 1);

	return 0;
}

const int Lim = 100000;
int p = Lim - 1;
char s[Lim];

void Next()
{
    if (++p == Lim)
        fread(s, 1, Lim, stdin), p = 0;
}

void get(int &x)
{
    for (; s[p] < '0' || s[p] > '9'; Next());
    for (x = 0; s[p] >= '0' && s[p] <= '9'; Next())
        x = x * 10 + s[p] - '0';
}

