/*
    prof. Constantin Galatan
    O(n * n + T * log T)
*/
#include <cstdio>
#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;

using VI = vector<int>;
const int Inf = 0x3f3f3f3f;

void get(int &x);

struct Seg {
	int x, y;
	bool operator < (const Seg& s) const {
		return y < s.y;
	}
};

VI a, Min, Max;
vector<Seg> s;
int T, n;

int main()
{
	freopen("nessie.in", "r", stdin);
	freopen("nessie.out", "w", stdout);

	get(n); get(T);
	a = Max = VI(n + 2);
	Min = VI(n + 2, n + 10);
	s = vector<Seg>(T);

	for (int i = 0; i < T; i++)
		get(s[i].x), get(s[i].y);

	s.push_back({0, 0});
    s.push_back({n + 1, n + 1});
	sort(s.begin(), s.end());

	T += 2;
    int p = n;
    for (int i = T - 1; i >= 0; --i)
        while (p >= s[i].x)
            Max[p--] = s[i].y;

    p = 0;
    for (int i = 0; i < T; ++i)
        while (p < s[i].x)
            Min[p++] = s[i].y;

    int imin, imax, mx;
    for (int i = n; i >= 0; --i)
    {
		imin = max(i, Max[i]), imax = Min[i], mx = -Inf;

		for (int j = imin + 1; j <= imax; ++j)
			mx = max(mx, a[j]);

		if ( imin <= imax )
			 a[i] = mx;
		else
			a[i] = -Inf;

		if (a[i] != -Inf)
			a[i] = mx + 1;
	}

    if ( a[0] < 0 )
		printf("IMPOSIBIL\n");
	else
		printf("%d\n", a[0] - 1);

	return 0;
}


const int Lim = 100000;
int p =  Lim - 1;
char buff[Lim];

void Next()
{
    if (++p == Lim)
        fread(buff, 1, Lim, stdin), p = 0;
}

void get(int &x)
{
    for (; buff[p] < '0' || buff[p] > '9'; Next());
    for (x = 0; buff[p] >= '0' && buff[p] <= '9'; Next())
        x = x * 10 + buff[p] - '0';
}
