/*
Solutie: Calcul direct formula Catalan
Optimizari: Se foloseste baza 10000 si se alterneaza inmultirea cu impartirea
Puncte : 70
*/

#include <cstdio>

#define MAXLEN 100000
#define BASE 10000

int Ans[MAXLEN];
int i, N;

void Multiply(int A[], int factor)
{
	int i, t = 0;
	for (i = 1; i <= A[0] || t; ++i, t /= BASE)
		A[i] = (t += A[i] * factor) % BASE;
	A[0] = i - 1;
}

void Divide(int A[], int factor)
{
	int i, t = 0;
	for (i = A[0]; i >= 1; --i, t %= factor)
		A[i] = (t = t * BASE + A[i]) / factor;
	for (; A[0] > 1 && !A[A[0]]; --A[0]);
}

int main()
{
	freopen("pastile.in","r",stdin);
	freopen("pastile.out","w",stdout);

	scanf("%d", &N);

	Ans[0] = Ans[1] = 1;
	for (int i = 1; i <= N; ++i){
		Multiply(Ans, i + N);
		Divide(Ans, i);
	}
	Divide(Ans, N + 1);

	printf("%d", Ans[Ans[0]]);
	for (int i = Ans[0] - 1; i >= 1; --i)
		printf("%.4d", Ans[i]);
	printf("\n");

	return 0;
}
