/*
Solutie: Calcul direct formula Catalan
Optimizari: Se foloseste baza 10^14 si se alterneaza inmultirea cu impartirea
Puncte : 70
*/

#include <cstdio>

#define MAXLEN 100000
#define BASE 100000000000000LL

long long Ans[MAXLEN];
int i, N;

void Multiply(long long A[], int factor)
{
	int i;
	long long t = 0LL;
	for (i = 1; i <= A[0] || t; ++i, t /= BASE)
		A[i] = (t += A[i] * factor) % BASE;
	A[0] = i - 1;
}

void Divide(long long A[], int factor)
{
	int i;
	long long t = 0LL;
	for (i = A[0]; i >= 1; --i, t %= factor)
		A[i] = (t = t * BASE + A[i]) / factor;
	for (; A[0] > 1 && !A[A[0]]; --A[0]);
}

int main()
{
	freopen("pastile.in","r",stdin);
	freopen("pastile.out","w",stdout);

	scanf("%d", &N);

	// 1 * 2 *  ..  * 2n / (1 * 2 * .. * n) / (1 * 2 * .. * (n+1))
	// (n + 1) * (n + 2) * .. * (2n) / (1 * 2 * .. * n * (n + 1))

	Ans[0] = Ans[1] = 1;
	for (int i = 1; i <= N; ++i){
		Multiply(Ans, i + N);
		Divide(Ans, i);
	}
	Divide(Ans, N + 1);

	printf("%lld", Ans[Ans[0]]);
	for (int i = Ans[0] - 1; i >= 1; --i)
		printf("%.14lld", Ans[i]);
	printf("\n");

	return 0;
}
