#include <fstream>
#include <iomanip>
#include <cstring>

using namespace std;

const int	BASE = 1000000000;
int 		C[4000];
int         	nC, nD, D[12000];
char		isPrime[100000];

int primeExpInFact(int n, int p)
{
	return (n == 0) ? 0 : (n/p) + primeExpInFact(n/p, p);
}

void multiply(int *C, int &nC, unsigned long long p, int BASE)
{
	unsigned long long t = 0;

	for (int i = 0; i < nC; i++)
	{
		t += p*C[i]; C[i] = t % BASE; t /= BASE;
	}

	while (t)
	{
		C[nC++] = t % BASE; t /= BASE;
	}
}


int main()
{
	ifstream 	f("pastile.in");
	ofstream 	g("pastile.out");
	int 		N, e, N2, i, j;
	unsigned long long   product;

	f >> N;
    	N2 = (N<<1);
	memset(isPrime, 1, N2);
	isPrime[0] = isPrime[1] = 0;
	for (int p = 2; p*p < N2; p++)
	{
		if (!isPrime[p]) continue;
		for (int i = p*p; i < N2; i += p)
			isPrime[i] = 0;
	}


    	nD = 0;
	for (int p = 2; p < N2; p++)
	{
		if (!isPrime[p]) continue;
		e = primeExpInFact(N2, p) - primeExpInFact(N+1, p) - primeExpInFact(N, p);

		D[nD]=1;
        	while(e--)
        	{
            		D[nD]*=p;
        	}	
        	nD++;
	}
    	C[0] = 1; nC = 1;
    	i = 0;
    	if(nD%2==1){C[0]=D[0];i = 1;}

    	while (i<nD)
    	{
        	product =  D[i++];
        	product *= D[i++];
        	multiply(C, nC, product, BASE);
        	
    	}

	g << C[nC - 1];
	for (int i = nC - 2; i >= 0; i--)
		g << setfill('0') << setw(9) << C[i];

	return 0;
}


